<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>HTML Tables and Forms</title>
</head>
<body>
    <div id="header">
        <h2>HTML Entities</h2>
        <p>
            <em>
                Reserved Characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code). 
            </em>
        </p>
    </div>
    
    <div id="main">
        <!-- Create an HTML Table -->
        <table border="1">
            <!-- Use to group table header contents -->
            <thead>
                <!-- Defines a table row -->
                <tr>
                    <!-- Table headings -->
                    <th colspan="2">Entity</th>
                    <th>Description</th>
                </tr>
            </thead>

            <!-- Used to group table body contents -->
            <tbody>
                <!-- Row 1 -->
                <tr>
                    <!-- Defines table data elements -->
                    <td>&lt;</td>
                    <td>lt</td>
                    <td>Less Than</td>
                </tr>
                <!-- Row Two -->
                <tr>
                    <td>&gt;</td>
                    <td>gt</td>
                    <td>Greater Than</td>
                </tr>
                <!-- Row Three -->
                <tr>
                    <td>&#8369;</td>
                    <td>#8369</td>
                    <td>Peso Sign</td>
                </tr>
                <!-- Row Four -->
                <tr>
                    <td>&amp;</td>
                    <td>amp</td>
                    <td>Ampersand</td>
                </tr>
                <!-- Row Five -->
                <tr>
                    <td>&quot;</td>
                    <td>qout</td>
                    <td>Double Quotation</td>
                </tr>
                <!-- Row Six -->
                <tr>
                    <td>&apos;</td>
                    <td>apos</td>
                    <td>Single Quotation</td>
                </tr>
                <!-- Row Seven -->
                <tr>
                    <td>&ntilde;</td>
                    <td>ntilde</td>
                    <td>Lower Tilde</td>
                </tr>
                <!-- Row Eight -->
                <tr>
                    <td>&Ntilde;</td>
                    <td>Ntilde</td>
                    <td>Upper Tilde</td>
                </tr>
            </tbody>

            <!-- Used to group table foot contents -->
            <tfoot>
                <tr>
                    <th colspan="3">List of HTML Entities</th>
                </tr>
            </tfoot>
        </table>
    </div>

    <br>
    <hr>

    <div id="section">
        <h2>HTML Forms</h2>
        <p><em>Input elements that make up a form</em></p>
    
        <!-- Creates an HTML form to capture user input -->
        <form action="https://google.com" target="_blank">
            <!-- Creates a label and allows for input field section when clicked -->
            <label for="fullname">Fullname: </label> <br>
            <input type="text" name="fullname" id="fullname" required> <br>
    
            <!-- Birthday -->
            <label for="birthDate">Birthday: </label> <br>
            <input type="date" name="birthDate" id="birthDate" required > <br>
    
            <!-- Age -->
            <label for="age">Age</label><br>
            <input type="number" name="age" id="age" required><br>
    
            <label for="gender">Gender</label><br>
            <!-- Creates a dropdown menu -->
            <select name="gender" id="gender">
                <!-- Creates an option for dropdown -->
                <option value="Male">Male</option>
                <option value="Female">Female</option>
                <option value="Others">Prefer not to specify</option>
            </select><br>
            
            <label>New User: </label><br>
            <!-- Creates radio button - relational button -->
            <input type="radio" name="userType" id="newUser" value="yes"><label for="userType">Yes</label><br>
            <input type="radio" name="userType" id="oldUser" value="yes"><label for="userType">No</label><br>
    
            <!-- Textarea -->
            <label for="notes">Notes: </label><br>
            <textarea name="notes" id="notes" cols="30" rows="10">Message</textarea><br>
    
            <!-- Checkbox -->
            <label>Role: </label><br>
            <input type="checkbox" name="role1" id="role1" value="developer"><label for="role1">Developer</label><br>
            <input type="checkbox" name="role2" id="role2" value="student"><label for="role2">Student</label><br>
            <input type="checkbox" name="role3" id="role3" value="manager"><label for="role3">Manager</label><br>
    
            
            <!-- Button -->
            <br><button type="submit">Submit</button>
            <button type="reset">Reset</button>
        </form>
    </div>

</body>
</html>